Package weka.filters

# Class SimpleFilter

java.lang.Object
weka.filters.Filter
weka.filters.SimpleFilter

All Implemented Interfaces:
  `Serializable`, `CapabilitiesHandler`, `CapabilitiesIgnorer`, `CommandlineRunnable`, `OptionHandler`, `RevisionHandler`

Direct Known Subclasses:
  `SimpleBatchFilter`, `SimpleStreamFilter`

public abstract class SimpleFilter extends Filter
This filter contains common behavior of the SimpleBatchFilter and the SimpleStreamFilter.

Version:
  $Revision: 11247 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - `SimpleBatchFilter`
  - `SimpleStreamFilter`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `globalInfo()`
  Returns a string describing this filter.
  `boolean`
  `setInputFormat(Instances instanceInfo)`
  Sets the format of the input instances.

  ### Methods inherited from class weka.filters.Filter

  `batchFilterFile, batchFinished, debugTipText, doNotCheckCapabilitiesTipText, filterFile, getCapabilities, getCapabilities, getCopyOfInputFormat, getDebug, getDoNotCheckCapabilities, getOptions, getOutputFormat, getRevision, input, isFirstBatchDone, isNewBatch, isOutputFormatDefined, listOptions, main, makeCopies, makeCopy, mayRemoveInstanceAfterFirstBatchDone, numPendingOutput, output, outputPeek, postExecution, preExecution, run, runFilter, setDebug, setDoNotCheckCapabilities, setOptions, toString, useFilter, wekaStaticWrapper`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SimpleFilter

    public SimpleFilter()

- ## Method Details

  - ### globalInfo

    public abstract String globalInfo()
    Returns a string describing this filter.
    Returns:
      a description of the filter suitable for displaying in the explorer/experimenter gui

  - ### setInputFormat

    public boolean setInputFormat(Instances instanceInfo) throws Exception
    Sets the format of the input instances. Also resets the state of the filter (this reset doesn't affect the options).
    Overrides:
      `setInputFormat` in class `Filter`
    Parameters:
      `instanceInfo` - an Instances object containing the input instance structure (any instances contained in the object are ignored - only the structure is required).
    Returns:
      true if the outputFormat may be collected immediately
    Throws:
      `Exception` - if the inputFormat can't be set successfully
    See Also:
      - `reset()`